> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search marketplace restaurants

> Busca restaurantes marketplace usando la dirección seleccionada del customer.



## OpenAPI

````yaml get /ordering/customers/{externalCustomerId}/marketplace/search
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /ordering/customers/{externalCustomerId}/marketplace/search:
    get:
      tags:
        - Ordering API
      summary: Search marketplace restaurants
      description: >-
        Busca restaurantes marketplace usando la dirección seleccionada del
        customer.
      operationId: orderingMarketplaceSearch
      parameters:
        - in: path
          name: externalCustomerId
          required: true
          description: ID del customer en el sistema externo. Es independiente por app.
          schema:
            type: string
        - in: query
          name: query
          required: true
          description: Texto de búsqueda.
          schema:
            type: string
        - in: query
          name: page
          required: false
          description: Página de resultados.
          schema:
            type: number
        - in: query
          name: limit
          required: false
          description: Cantidad máxima de resultados por página.
          schema:
            type: number
      responses:
        '200':
          description: Search marketplace restaurants
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/OrderingMarketplacePage'
                required:
                  - success
                  - data
        '400':
          description: Invalid request
        '401':
          description: Invalid bearer token
        '404':
          description: Resource not found
      security:
        - bearerAuth: []
components:
  schemas:
    OrderingMarketplacePage:
      type: object
      description: Página de resultados de marketplace.
      properties:
        items:
          type: array
          description: Restaurantes encontrados.
          items:
            $ref: '#/components/schemas/OrderingMarketplaceCard'
        totalCount:
          type: number
          description: Total de resultados.
        totalPages:
          type: number
          description: Total de páginas.
        hasNextPage:
          type: boolean
          description: Indica si existe una página siguiente.
        hasPreviousPage:
          type: boolean
          description: Indica si existe una página anterior.
      additionalProperties: true
    OrderingMarketplaceCard:
      type: object
      description: Card de restaurante en marketplace.
      properties:
        _id:
          type: string
          description: ID interno de la card.
        storeId:
          type: string
          description: ID del local recomendado.
        websiteId:
          type: string
          description: ID del website recomendado.
        baseURL:
          type: string
          description: URL base del website.
        websiteName:
          type: string
          description: Nombre comercial del website.
        websiteMarketplaceStagingMode:
          type: boolean
          description: Indica si el website está en modo staging.
        description:
          oneOf:
            - type: string
              description: Descripción del comercio.
            - type: 'null'
          description: Descripción del comercio.
        foodCategoriesTags:
          type: array
          description: Tags de categorías gastronómicas.
          items:
            type: string
            description: Tag.
        foodCategoriesCodes:
          type: array
          description: Códigos de categorías gastronómicas.
          items:
            type: string
            description: Código.
        searchWords:
          type: array
          description: Palabras de búsqueda indexadas.
          items:
            type: string
            description: Palabra.
        averageReview:
          type: number
          description: Promedio de reviews.
        reviewsCount:
          type: string
          description: Cantidad de reviews como texto público.
        hasManagedDelivery:
          type: boolean
          description: Indica si tiene despacho gestionado.
        logo:
          $ref: '#/components/schemas/OrderingImage'
        image:
          $ref: '#/components/schemas/OrderingImage'
        cityId:
          type: string
          description: ID de la ciudad marketplace.
        cookingTime:
          type: number
          description: Tiempo estimado de cocina en minutos.
        currentDeliveryDuration:
          type: number
          description: Duración actual de despacho en minutos.
        currentPickupDuration:
          type: number
          description: Duración actual de retiro en minutos.
        address:
          $ref: '#/components/schemas/OrderingStoreAddress'
        disableNowOrders:
          type: boolean
          description: Indica si no acepta pedidos para ahora.
        closedMessage:
          oneOf:
            - type: string
              description: Mensaje de cierre, si el local está cerrado.
            - type: 'null'
          description: Mensaje de cierre, si el local está cerrado.
        dataForPlace:
          type: object
          description: Datos calculados para el placeId consultado.
          properties:
            distance:
              type: number
              description: Distancia al placeId consultado en metros.
            orderDuration:
              type: number
              description: Duración estimada total del pedido en minutos.
            outOfBounds:
              type: boolean
              description: Indica si el placeId está fuera de cobertura.
          additionalProperties: true
        featuredProducts:
          type: array
          description: Productos destacados del comercio.
          items:
            $ref: '#/components/schemas/OrderingFeaturedProduct'
        matchedProducts:
          type: array
          description: Productos que coincidieron con una búsqueda marketplace.
          items:
            type: object
            description: Producto coincidente.
            properties:
              _id:
                type: string
                description: ID del producto.
              name:
                type: string
                description: Nombre del producto.
              thumbnailURL:
                type: string
                description: URL thumbnail del producto.
            additionalProperties: true
      additionalProperties: true
    OrderingImage:
      type: object
      description: Imagen publicada por Justo o por el comercio.
      properties:
        _id:
          type: string
          description: ID de la imagen.
        url:
          type: string
          description: URL original de la imagen.
        colorsData:
          type: object
          description: Colores calculados de la imagen.
          properties:
            blurhash:
              type: string
              description: Blurhash de la imagen.
            background:
              type: string
              description: Color de fondo sugerido.
            front:
              type: string
              description: Color frontal sugerido.
          additionalProperties: true
        dimensions:
          type: object
          description: Dimensiones originales de la imagen.
          properties:
            width:
              type: number
              description: Ancho en pixeles.
            height:
              type: number
              description: Alto en pixeles.
          additionalProperties: true
        resizedData:
          type: object
          description: URLs de versiones redimensionadas.
          properties:
            thumbnailURL:
              type: string
              description: URL thumbnail.
            smallURL:
              type: string
              description: URL pequeña.
            mediumURL:
              type: string
              description: URL mediana.
            largeURL:
              type: string
              description: URL grande.
            extraLargeURL:
              type: string
              description: URL extra grande.
          additionalProperties: true
      additionalProperties: true
    OrderingStoreAddress:
      type: object
      description: Dirección pública de un local.
      properties:
        placeId:
          type: string
          description: Place ID del local.
        streetAddress:
          type: string
          description: Dirección principal.
        extendedAddress:
          oneOf:
            - type: string
              description: Dirección extendida.
            - type: 'null'
          description: Dirección extendida.
        location:
          $ref: '#/components/schemas/OrderingLocation'
        locality:
          oneOf:
            - type: string
              description: Localidad o comuna.
            - type: 'null'
          description: Localidad o comuna.
        countryName:
          oneOf:
            - type: string
              description: País.
            - type: 'null'
          description: País.
      additionalProperties: true
    OrderingFeaturedProduct:
      type: object
      description: Producto destacado de una card marketplace.
      properties:
        _id:
          type: string
          description: ID del producto.
        name:
          type: string
          description: Nombre del producto.
        image:
          oneOf:
            - $ref: '#/components/schemas/OrderingImage'
            - type: 'null'
        price:
          oneOf:
            - type: number
              description: Precio final.
            - type: 'null'
          description: Precio final.
        basePrice:
          oneOf:
            - type: number
              description: Precio base antes de descuentos.
            - type: 'null'
          description: Precio base antes de descuentos.
        available:
          type: boolean
          description: Indica si está disponible.
        notAvailableMessage:
          oneOf:
            - type: string
              description: Motivo de no disponibilidad.
            - type: 'null'
          description: Motivo de no disponibilidad.
        path:
          type: string
          description: Path del producto dentro del website.
      additionalProperties: true
    OrderingLocation:
      type: object
      description: Coordenadas geográficas.
      properties:
        lat:
          type: number
          description: Latitud.
          example: -33.43219757080078
        lng:
          type: number
          description: Longitud.
          example: -70.59982299804688
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Token

````